<xsd:schema  xmlns:xsd="http://www.w3.org/2001/XMLSchema"
 elementFormDefault="qualified">

<xsd:include schemaLocation="common_trans.xsd"/>
	
	<xsd:element name="GET">
        <xsd:complexType>
            <xsd:sequence>
				<xsd:element ref="ID"/>
				<xsd:element ref="OBJ_TOKEN"/>
				<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
            </xsd:sequence>
        </xsd:complexType>
    </xsd:element>

	<xsd:element name="TRANS_FAULTS_LIST_SHORT">
        <xsd:complexType>
		    <xsd:sequence>
				<xsd:element ref="TRANS_COMMON_PARAMS"/>
				<xsd:choice>
					<xsd:group ref="ACTIONS"/>
					<xsd:element ref="ACTION"/>
				</xsd:choice>
				<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
			</xsd:sequence>
		</xsd:complexType>
    </xsd:element>

	<xsd:group name="ACTIONS">
		<xsd:choice>
			<xsd:element ref="GET"/>
		</xsd:choice>
	</xsd:group>

	<xsd:element name="ACTION">
		<xsd:complexType> 
			<xsd:sequence>
				<xsd:group ref="ACTIONS"/>
			</xsd:sequence>
		</xsd:complexType> 
	</xsd:element>

</xsd:schema>
